Opened 11 years ago

Last modified 8 years ago

#1448 new defect

MPlayer does not work with X11/HDMI

Reported by: alupu02@… Owned by: ib
Priority: normal Component: GUI
Version: 1.0rc2 Severity: normal
Keywords: Cc: ib
Blocked By: Blocking:
Reproduced by developer: Analyzed by developer:

Description

SYSTEM INFORMATION

MPlayer SVN-r29150-4.1.2 of 2009-04-06 20:24
Board: "ASUS P5E-VM HDMI"

with Intel G35/ICH9R.

Intel Core2 Duo CPU E8400 @ 3.00GHz, 4GB
Kernel: Linux 2.6.29.1
i686-pc-linux-gnu
"Distro": (B)LFS
ALSA 1.0.19 (libs, utils, DRIVERS):

[]$ cat /proc/asound/version

Advanced Linux Sound Architecture Driver Version 1.0.19.
Compiled on Apr 20 2009 for kernel 2.6.29.1 (SMP).


proc/asound$ cat cards

0 [Intel ]: HDA-Intel - HDA Intel

HDA Intel at 0xfe7f4000 irq 22

proc/asound$ cat devices

0: [ 0] : control
4: [ 0- 0]: hardware dependent
5: [ 0- 1]: hardware dependent

16: [ 0- 0]: digital audio playback
17: [ 0- 1]: digital audio playback
19: [ 0- 3]: digital audio playback
24: [ 0- 0]: digital audio capture
26: [ 0- 2]: digital audio capture
33: : timer

proc/asound$ cat hwdep

00-01: HDA Codec 1
00-00: HDA Codec 0

proc/asound$ cat modules

0 snd_hda_intel

proc/asound$ cat pcm

00-00: ALC883 Analog : ALC883 Analog : playback 1 : capture 1
00-01: ALC883 Digital : ALC883 Digital : playback 1
00-02: ALC883 Analog : ALC883 Analog : capture 1
00-03: INTEL HDMI : INTEL HDMI : playback 1

proc/asound$ cat card0/codec* | grep -i codec

Codec: Realtek ALC883
Codec: Silicon Image SiI1392 HDMI

[]$ lspci (relevant excerpts)

00:02.0 VGA compatible controller: Intel 82G35 Express

Integrated Graphics Controller (rev 03)

00:02.1 Display controller: Intel 82G35 Express

Integrated Graphics Controller (rev 03)

00:1b.0 Audio device: Intel 82801I (ICH9 Family)

HD Audio Controller (rev 02)

[]$ aplay -L (relevant excerpts)

default:CARD=Intel

HDA Intel, ALC883 Analog
Default Audio Device

front:CARD=Intel,DEV=0

HDA Intel, ALC883 Analog
Front speakers

...
hdmi:CARD=Intel,DEV=0

HDA Intel, INTEL HDMI
HDMI Audio Output

[]$ ls /dev/snd
controlC0 hwC0D1 pcmC0D0p pcmC0D2c timer
hwC0D0 pcmC0D0c pcmC0D1p pcmC0D3p

[]$ lsmod | grep snd (edited for legibility)
snd_hda_codec_intelhdmi 11348
snd_hda_codec_realtek 179320
snd_hda_intel 21576
snd_hda_codec 39796
snd_hwdep 6200
snd_pcm_oss 33184
snd_mixer_oss 12372
snd_pcm 57560
snd_timer 16636
snd 44964
soundcore 5376
snd_page_alloc 7420

libc version:

5809530 2007-03-19 21:11 /lib/libc-2.5.so

11 2009-03-21 10:58 /lib/libc.so.6 -> libc-2.5.so

gcc 4.1.2
GNU ld 2.17
GNU assembler 2.17
Fluxbox 1.1.1 (Nov 12 2008, compiled with GCC 4.1.2)
X.Org: X11R7.3, X Server 1.4.0, xterm 235
gtk+ 1.2.10
gtk+ 2.12.10
glib 2.16.3
Test equipment and configuration:

LCD TV: SONY KDL-26M4000
Monitor: SAMSUNG SyncMaster? 205BW 1680x1050@60 Hz
PC Speakers: SONY SRS-Z050V 3W
Monitor's DVI input is connected to the HDMI PC output
through an HDMI-DVI cable.
HDTV's HDMI input is connected to the HDMI PC output
through an HDMI-HDMI cable.
DVD: "Finding NEMO", WideScreen?, NTSC, Region 1


PROBLEM DESCRIPTION

  • SUMMARY ("headline")

MPlayer does not work with X11/HDMI

  • DETAILS Assume below,
    1. Command line: 'mplayer ARGS dvd://' where ARGS and relevant Result(s) will be detailed shortly.
    2. "xterm" means xterm window in X11 window manager.
    3. x=0 acts on PC speakers (the mini-plug green port) x=3 acts on TV speakers (the HDMI cable/port)
  1. At command prompt (connected to Monitor):

ARGS: [-vo null] -ao alsa:device=hw=0.x
Result: Sound works OK (perfectly)

with both x=0 and 3.


  1. Monitor, in xterm:

ARGS: -ao alsa:device=hw=0.x
Results: Video OK with either x=0 or 3

x=0 - Sound OK
x=3 - NO sound (as expected)

  1. HDTV-HDMI (here the problems start showing up)

3.1 At command prompt:

ARGS: -vo null -ao alsa:device=hw=0.x
Result: Sound OK with either x=0 or 3

No Video (no surprise here)

3.2 In X11/xterm:

ARGS: -ao alsa:device=hw=0.x
Result: x=0 - Both Video and Sound, AOK.

x=3 - Problems:

NO Video ("No signal"), NO Sound

3.3 In X11/xterm, using an MP3 file (instead of video DVD)

ARGS: -ao alsa:device=hw=0.x
Result: x=0 - Sound OK

x=3 - NO sound (problem)

3.4 In contrast,

At command prompt (i.e., not in X11)
the (MP3) file sounds OK with both x=0 AND 3

NOTES

  1. HDMI Cable, BIOS, HDTV, etc. are NOT suspected: The configuration works perfectly as soon as I go to the WinXP (SP3) partition and run WMP (11.0).
  2. With x=3 I tried -vo

xv, x11, xover, gl, gl2, and xvidix (dga - fails)

Same (bad) results.
With x=0: xv, x11 (small window), gl and gl2
work OK. Not xover and xvidix.

Change History (5)

comment:1 Changed 11 years ago by compn

err , does hdtv/hdmi stuff work on linux with vlc or any other player?

you might need to play with -xineramascreen option to tell mplayer which display to output to, if the other players work or if you can display linux over your hdtv setup.

comment:2 Changed 11 years ago by alupu02@…

(In reply to comment #1)

err , does hdtv/hdmi stuff work on linux with vlc or any other player?

you might need to play with -xineramascreen option to tell mplayer which
display to output to, if the other players work or if you can display linux
over your hdtv setup.

Quick reply {I'll look deeper into the other issues raises
as soon as I get a chance):
About "does hdtv/hdmi stuff work on linux":
The HDTV (used as "monitor" for the PC) works

  1. At command line/prompt
  2. In X11 (fluxbox) Firefox (3.0.8) browsing, etc.

I've never heard of "vlc". I'll look into this "player".
I don't understand (yet) the thing with xinerama;
From memory, I know xinerama is always an issue of some sort
with a lot of things. Maybe with mplayer too, i.e., if it
was enabled on "./configure". As I said, I'll do some research on it.

Thanks for the reply,
-- Alex

comment:3 Changed 11 years ago by alupu02@…

(In reply to comment #2)

(In reply to comment #1)

err , does hdtv/hdmi stuff work on linux with vlc or any other player?

you might need to play with -xineramascreen option to tell mplayer which
display to output to, if the other players work or if you can display linux
over your hdtv setup.

Quick reply {I'll look deeper into the other issues raised
as soon as I get a chance):
About "does hdtv/hdmi stuff work on linux":
The HDTV (used as "monitor" for the PC) works

  1. At command line/prompt
  2. In X11 (fluxbox) Firefox (3.0.8) browsing, etc.

I've never heard of "vlc". I'll look into this "player".
I don't understand (yet) the thing with xinerama;
From memory, I know xinerama is always an issue of some sort
with a lot of things. Maybe with mplayer too, i.e., if it
was enabled on "./configure". As I said, I'll do some research on it.

Thanks for the reply,
-- Alex

A short comment about mplayer/xinerama:
I do have xinerama in mplayer. I did a quick
mplayer -ao ... -xineramascreen 1 ...
and it was accepted.
I somebody could teach me how to use this feature to
test the HDTV/HDMI situation ...
Thanks,
-- Alex

comment:4 Changed 11 years ago by alupu02@…

(In reply to comment #3)

(In reply to comment #2)

(In reply to comment #1)

err , does hdtv/hdmi stuff work on linux with vlc or any other player?

you might need to play with -xineramascreen option to tell mplayer which
display to output to, if the other players work or if you can display linux
over your hdtv setup.

Quick reply {I'll look deeper into the other issues raised
as soon as I get a chance):
About "does hdtv/hdmi stuff work on linux":
The HDTV (used as "monitor" for the PC) works

  1. At command line/prompt
  2. In X11 (fluxbox) Firefox (3.0.8) browsing, etc.

I've never heard of "vlc". I'll look into this "player".
I don't understand (yet) the thing with xinerama;
From memory, I know xinerama is always an issue of some sort
with a lot of things. Maybe with mplayer too, i.e., if it
was enabled on "./configure". As I said, I'll do some research on it.

Thanks for the reply,
-- Alex

A short comment about mplayer/xinerama:
I do have xinerama in mplayer. I did a quick
mplayer -ao ... -xineramascreen 1 ...
and it was accepted.
I somebody could teach me how to use this feature to
test the HDTV/HDMI situation ...
Thanks,
-- Alex

(In reply to comment #3)

(In reply to comment #2)

(In reply to comment #1)

err , does hdtv/hdmi stuff work on linux with vlc or any other player?

you might need to play with -xineramascreen option to tell mplayer which
display to output to, if the other players work or if you can display linux
over your hdtv setup.

Quick reply {I'll look deeper into the other issues raised
as soon as I get a chance):
About "does hdtv/hdmi stuff work on linux":
The HDTV (used as "monitor" for the PC) works

  1. At command line/prompt
  2. In X11 (fluxbox) Firefox (3.0.8) browsing, etc.

I've never heard of "vlc". I'll look into this "player".
I don't understand (yet) the thing with xinerama;
From memory, I know xinerama is always an issue of some sort
with a lot of things. Maybe with mplayer too, i.e., if it
was enabled on "./configure". As I said, I'll do some research on it.

Thanks for the reply,
-- Alex

A short comment about mplayer/xinerama:
I do have xinerama in mplayer. I did a quick
mplayer -ao ... -xineramascreen 1 ...
and it was accepted.
I somebody could teach me how to use this feature to
test the HDTV/HDMI situation ...
Thanks,
-- Alex

(In reply to comment #3)

(In reply to comment #2)

(In reply to comment #1)

err , does hdtv/hdmi stuff work on linux with vlc or any other player?

you might need to play with -xineramascreen option to tell mplayer which
display to output to, if the other players work or if you can display linux
over your hdtv setup.

Quick reply {I'll look deeper into the other issues raised
as soon as I get a chance):
About "does hdtv/hdmi stuff work on linux":
The HDTV (used as "monitor" for the PC) works

  1. At command line/prompt
  2. In X11 (fluxbox) Firefox (3.0.8) browsing, etc.

I've never heard of "vlc". I'll look into this "player".
I don't understand (yet) the thing with xinerama;
From memory, I know xinerama is always an issue of some sort
with a lot of things. Maybe with mplayer too, i.e., if it
was enabled on "./configure". As I said, I'll do some research on it.

Thanks for the reply,
-- Alex

A short comment about mplayer/xinerama:
I do have xinerama in mplayer. I did a quick
mplayer -ao ... -xineramascreen 1 ...
and it was accepted.
Now if somebody could teach me how to use this feature to
test the HDTV/HDMI situation ...
Thanks,
-- Alex

comment:5 Changed 8 years ago by ib

  • Cc ib@… added
  • Owner changed from reimar to ib
Note: See TracTickets for help on using tickets.